import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.PrintStream;
import org.jbehave.scenario.JUnitScenario;
import org.jbehave.scenario.parser.ClasspathScenarioDefiner;
import org.jbehave.scenario.parser.ScenarioDefiner;
import org.jbehave.scenario.parser.UnderscoredCamelCaseResolver;
import org.jbehave.scenario.parser.PatternScenarioParser;
import org.jbehave.scenario.MostUsefulConfiguration;
import org.jbehave.scenario.reporters.HtmlPrintStreamScenarioReporter;
import org.jbehave.scenario.reporters.PrintStreamScenarioReporter;
import org.jbehave.scenario.reporters.ScenarioReporter;
import org.jbehave.scenario.steps.PrintStreamStepMonitor;
import org.jbehave.scenario.steps.StepsConfiguration;
import org.jbehave.scenario.steps.StepsFactory;

public class LoginScenario extends JUnitScenario {
	public LoginScenario() {		
		super(new MostUsefulConfiguration() {
	        @Override
			public ScenarioDefiner forDefiningScenarios() {
	            return new ClasspathScenarioDefiner(new UnderscoredCamelCaseResolver(".scenario"),
	                         new PatternScenarioParser(keywords()));
	        }
	        @Override
			public ScenarioReporter forReportingScenarios() {			
				try {			
					return new HtmlPrintStreamScenarioReporter(new PrintStream(new FileOutputStream("selenium/epson/results.html")));
				} catch (FileNotFoundException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
					return new PrintStreamScenarioReporter();
				}
			}

	    });
		StepsConfiguration configuration = new StepsConfiguration();
		configuration.useMonitor(new PrintStreamStepMonitor());		
		addSteps(new StepsFactory().createCandidateSteps(new LoginSteps())); // if RegisterSteps is a POJO
	}
}

